//
//  Keyboard_iPhoneViewController.m
//  Keyboard iPhone
//
//  Created by Devin Halperin on 8/11/10.
//  Copyright Opticon USA 2010. All rights reserved.
//

#import "Keyboard_iPhoneViewController.h"

@implementation Keyboard_iPhoneViewController

@synthesize firstView, secondView;
@synthesize keyboardInputView = _keyboardInputView;

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
// To use our keyboard instead of the default one, set the inputView to the new keyboard.
- (void)viewDidLoad {
    [super viewDidLoad];
	self.keyboardInputView = [[[KeyboardInputViewController alloc] 
							   initWithNibName:@"KeyboardInputViewController" 
							   bundle:[NSBundle mainBundle]] autorelease];
	// set the delegate to the text field you want to write to.
	firstView.delegate = self;
	secondView.delegate = self;
	firstView.inputView = self.keyboardInputView.view;
	secondView.inputView = self.keyboardInputView.view;
}


// Used to change the delegate of the custom input view when a text view gains focus.
- (void)textViewDidBeginEditing:(customTextView *)textView {
	self.keyboardInputView.delegate = textView;
}

// When a text view is done editting, close the keyboard.
- (void)textViewDidEndEditing:(customTextView *)textView {
	[textView resignFirstResponder];	
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	self.keyboardInputView = nil;
    [super dealloc];
}

@end
