//
//  customTextView.m
//  Keyboard iPhone
//
//  Created by Devin Halperin on 8/19/10.
//  Copyright 2010 Opticon USA. All rights reserved.
//

#import "customTextView.h"


@implementation customTextView


// Edit the textView according the the button pressed.  Be careful to set the selectedRange of the textView or it will always put focus on the last character
-(void)buttonTapped:(NSString*)sender {
	NSRange theRange = self.selectedRange;
	NSUInteger location = theRange.location;
	NSUInteger length = theRange.length;
	if ([sender isEqualToString:@"del"]) {
		if (location == 0 && length == 0) {
			return;
		}
		// If not a range, delete the character at the location returned
		if (length == 0) {
			if (location == self.text.length) {
				self.text = [self.text substringToIndex:(location - 1)];
			} else {
				NSString* front = [self.text substringToIndex:(location - 1)];
				NSString* back = [self.text substringFromIndex:location];
				self.text = [front stringByAppendingString:back];
				theRange.location = location - 1;
				self.selectedRange = theRange;
			}
		} else {
			self.text = [self.text stringByReplacingCharactersInRange:theRange withString:@""];
			theRange.length = 0;
			self.selectedRange = theRange;
		}
	} else {
		if (length == 0) {
			if (location == self.text.length) {
				self.text = [self.text stringByAppendingString:sender];
			} else {
				self.text = [self.text stringByReplacingCharactersInRange:theRange withString:sender];
				theRange.location = location + 1;
				self.selectedRange = theRange;
			}
			
		} else {
			self.text = [self.text stringByReplacingCharactersInRange:theRange withString:sender];
			theRange.location = location + 1;
			theRange.length = 0;
			self.selectedRange = theRange;
		}
		
	}
}


@end
