//
//  KeyboardInputViewController.h
//  Keyboard iPhone
//
//  Created by Devin Halperin on 8/11/10.
//  Copyright 2010 Opticon USA. All rights reserved.
//

#import <UIKit/UIKit.h>

/*
 Create a protocol to handle events received by the pressing the keyboard.
 */
@protocol KeyboardInputControllerDelegate

-(void)buttonTapped:(NSString*)sender;

@end

@interface KeyboardInputViewController : UIViewController {
	id<KeyboardInputControllerDelegate> _delegate;
}

// The delegate to handle events recieved from the keyboard
@property (nonatomic,assign) id<KeyboardInputControllerDelegate> delegate;

// The types of actions returned from the keyboard.  These need to be connected through IB to the proper keys
- (IBAction) keyTapped:(id)sender;
- (IBAction) returnTapped:(id)sender;
- (IBAction) deleteTapped:(id)sender;
- (IBAction) shiftTapped:(id)sender;
- (IBAction) spaceTapped:(id)sender;
- (IBAction) otherTapped:(id)sender;

// Used to connect the buttons through IB

@property(nonatomic,retain) IBOutlet UIButton *a;
@property(nonatomic,retain) IBOutlet UIButton *b;
@property(nonatomic,retain) IBOutlet UIButton *c;
@property(nonatomic,retain) IBOutlet UIButton *d;
@property(nonatomic,retain) IBOutlet UIButton *e;
@property(nonatomic,retain) IBOutlet UIButton *f;
@property(nonatomic,retain) IBOutlet UIButton *g;
@property(nonatomic,retain) IBOutlet UIButton *h;
@property(nonatomic,retain) IBOutlet UIButton *i;
@property(nonatomic,retain) IBOutlet UIButton *j;
@property(nonatomic,retain) IBOutlet UIButton *k;
@property(nonatomic,retain) IBOutlet UIButton *l;
@property(nonatomic,retain) IBOutlet UIButton *m;
@property(nonatomic,retain) IBOutlet UIButton *n;
@property(nonatomic,retain) IBOutlet UIButton *o;
@property(nonatomic,retain) IBOutlet UIButton *p;
@property(nonatomic,retain) IBOutlet UIButton *q;
@property(nonatomic,retain) IBOutlet UIButton *r;
@property(nonatomic,retain) IBOutlet UIButton *s;
@property(nonatomic,retain) IBOutlet UIButton *t;
@property(nonatomic,retain) IBOutlet UIButton *u;
@property(nonatomic,retain) IBOutlet UIButton *v;
@property(nonatomic,retain) IBOutlet UIButton *w;
@property(nonatomic,retain) IBOutlet UIButton *x;
@property(nonatomic,retain) IBOutlet UIButton *y;
@property(nonatomic,retain) IBOutlet UIButton *z;
@property(nonatomic,retain) IBOutlet UIButton *shift;
@property(nonatomic,retain) IBOutlet UIButton *other;

@end
