//
//  KeyboardInputViewController.m
//  Keyboard iPhone
//
//  Created by Devin Halperin on 8/11/10.
//  Copyright 2010 Opticon USA. All rights reserved.
//

#import "KeyboardInputViewController.h"


@implementation KeyboardInputViewController

@synthesize delegate = _delegate;
@synthesize a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,shift,other;

// Used to tell if the shift and other button have been pressed to change the look of the keyboard.
BOOL isShift = FALSE;
BOOL isOthers = FALSE;

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
	self.delegate = nil;
    [super dealloc];
}

// If a button is pressed, return the title of the button
- (IBAction) keyTapped:(id)sender {
	if (_delegate != nil) {
		[_delegate buttonTapped:[sender currentTitle]];
    }	
}

// If return is pressed, return the newline character
- (IBAction) returnTapped:(id)sender {
	if (_delegate != nil) {
		[_delegate buttonTapped:@"\n"];	
	}
}

// If delete is pressed, return "del" which is handled seperately from other key strokes in the view controller.  See the buttonTapped method.
- (IBAction) deleteTapped:(id)sender {
	if (_delegate != nil) {
		[_delegate buttonTapped:@"del"];
	}
}

// When shift is tapped, change the keyboard accordingly
- (IBAction) shiftTapped:(id)sender {
	if (_delegate != nil) {
		if (!isShift && !isOthers) {
			isShift = TRUE;
			[a setTitle:@"A" forState:UIControlStateNormal];
			[b setTitle:@"B" forState:UIControlStateNormal];
			[c setTitle:@"C" forState:UIControlStateNormal];
			[d setTitle:@"D" forState:UIControlStateNormal];
			[e setTitle:@"E" forState:UIControlStateNormal];
			[f setTitle:@"F" forState:UIControlStateNormal];
			[g setTitle:@"G" forState:UIControlStateNormal];
			[h setTitle:@"H" forState:UIControlStateNormal];
			[i setTitle:@"I" forState:UIControlStateNormal];
			[j setTitle:@"J" forState:UIControlStateNormal];
			[k setTitle:@"K" forState:UIControlStateNormal];
			[l setTitle:@"L" forState:UIControlStateNormal];
			[m setTitle:@"M" forState:UIControlStateNormal];
			[n setTitle:@"N" forState:UIControlStateNormal];
			[o setTitle:@"O" forState:UIControlStateNormal];
			[p setTitle:@"P" forState:UIControlStateNormal];
			[q setTitle:@"Q" forState:UIControlStateNormal];
			[r setTitle:@"R" forState:UIControlStateNormal];
			[s setTitle:@"S" forState:UIControlStateNormal];
			[t setTitle:@"T" forState:UIControlStateNormal];
			[u setTitle:@"U" forState:UIControlStateNormal];
			[v setTitle:@"V" forState:UIControlStateNormal];
			[w setTitle:@"W" forState:UIControlStateNormal];
			[x setTitle:@"X" forState:UIControlStateNormal];
			[y setTitle:@"Y" forState:UIControlStateNormal];
			[z setTitle:@"Z" forState:UIControlStateNormal];
		} else if (isShift && !isOthers) {
			isShift = FALSE;
			[a setTitle:@"a" forState:UIControlStateNormal];
			[b setTitle:@"b" forState:UIControlStateNormal];
			[c setTitle:@"c" forState:UIControlStateNormal];
			[d setTitle:@"d" forState:UIControlStateNormal];
			[e setTitle:@"e" forState:UIControlStateNormal];
			[f setTitle:@"f" forState:UIControlStateNormal];
			[g setTitle:@"g" forState:UIControlStateNormal];
			[h setTitle:@"h" forState:UIControlStateNormal];
			[i setTitle:@"i" forState:UIControlStateNormal];
			[j setTitle:@"j" forState:UIControlStateNormal];
			[k setTitle:@"k" forState:UIControlStateNormal];
			[l setTitle:@"l" forState:UIControlStateNormal];
			[m setTitle:@"m" forState:UIControlStateNormal];
			[n setTitle:@"n" forState:UIControlStateNormal];
			[o setTitle:@"o" forState:UIControlStateNormal];
			[p setTitle:@"p" forState:UIControlStateNormal];
			[q setTitle:@"q" forState:UIControlStateNormal];
			[r setTitle:@"r" forState:UIControlStateNormal];
			[s setTitle:@"s" forState:UIControlStateNormal];
			[t setTitle:@"t" forState:UIControlStateNormal];
			[u setTitle:@"u" forState:UIControlStateNormal];
			[v setTitle:@"v" forState:UIControlStateNormal];
			[w setTitle:@"w" forState:UIControlStateNormal];
			[x setTitle:@"x" forState:UIControlStateNormal];
			[y setTitle:@"y" forState:UIControlStateNormal];
			[z setTitle:@"z" forState:UIControlStateNormal];
		} else if (!isShift && isOthers) {
			isShift = TRUE;
			[a setTitle:@"_" forState:UIControlStateNormal];
			[b setTitle:@"'" forState:UIControlStateNormal];
			[c setTitle:@"?" forState:UIControlStateNormal];
			[d setTitle:@"|" forState:UIControlStateNormal];
			[e setTitle:@"{" forState:UIControlStateNormal];
			[f setTitle:@"~" forState:UIControlStateNormal];
			[g setTitle:@"<" forState:UIControlStateNormal];
			[h setTitle:@">" forState:UIControlStateNormal];
			[i setTitle:@"*" forState:UIControlStateNormal];
			[j setTitle:@"€" forState:UIControlStateNormal];
			[k setTitle:@"£" forState:UIControlStateNormal];
			[l setTitle:@"¥" forState:UIControlStateNormal];
			[m setTitle:@"'" forState:UIControlStateNormal];
			[n setTitle:@"\"" forState:UIControlStateNormal];
			[o setTitle:@"+" forState:UIControlStateNormal];
			[p setTitle:@"=" forState:UIControlStateNormal];
			[q setTitle:@"[" forState:UIControlStateNormal];
			[r setTitle:@"}" forState:UIControlStateNormal];
			[s setTitle:@"\\" forState:UIControlStateNormal];
			[t setTitle:@"#" forState:UIControlStateNormal];
			[u setTitle:@"^" forState:UIControlStateNormal];
			[v setTitle:@"!" forState:UIControlStateNormal];
			[w setTitle:@"]" forState:UIControlStateNormal];
			[x setTitle:@"," forState:UIControlStateNormal];
			[y setTitle:@"%" forState:UIControlStateNormal];
			[z setTitle:@"." forState:UIControlStateNormal];
			[shift setTitle:@"123" forState:UIControlStateNormal];
		} else {
			isShift = FALSE;
			[a setTitle:@"-" forState:UIControlStateNormal];
			[b setTitle:@"'" forState:UIControlStateNormal];
			[c setTitle:@"?" forState:UIControlStateNormal];
			[d setTitle:@":" forState:UIControlStateNormal];
			[e setTitle:@"3" forState:UIControlStateNormal];
			[f setTitle:@";" forState:UIControlStateNormal];
			[g setTitle:@"(" forState:UIControlStateNormal];
			[h setTitle:@")" forState:UIControlStateNormal];
			[i setTitle:@"8" forState:UIControlStateNormal];
			[j setTitle:@"$" forState:UIControlStateNormal];
			[k setTitle:@"&" forState:UIControlStateNormal];
			[l setTitle:@"@" forState:UIControlStateNormal];
			[m setTitle:@"'" forState:UIControlStateNormal];
			[n setTitle:@"\"" forState:UIControlStateNormal];
			[o setTitle:@"9" forState:UIControlStateNormal];
			[p setTitle:@"0" forState:UIControlStateNormal];
			[q setTitle:@"1" forState:UIControlStateNormal];
			[r setTitle:@"4" forState:UIControlStateNormal];
			[s setTitle:@"/" forState:UIControlStateNormal];
			[t setTitle:@"5" forState:UIControlStateNormal];
			[u setTitle:@"7" forState:UIControlStateNormal];
			[v setTitle:@"!" forState:UIControlStateNormal];
			[w setTitle:@"2" forState:UIControlStateNormal];
			[x setTitle:@"," forState:UIControlStateNormal];
			[y setTitle:@"6" forState:UIControlStateNormal];
			[z setTitle:@"." forState:UIControlStateNormal];
			[shift setTitle:@"#+=" forState:UIControlStateNormal];
		}
	}
	
}

// when space is tapped, return a space
- (IBAction) spaceTapped:(id)sender {
	if (_delegate != nil) {
		[_delegate buttonTapped:@" "];
	}
}

// when other is tapped, change the keyboard accordingly
- (IBAction) otherTapped:(id)sender {
	if (_delegate != nil) {
		if (!isOthers) {
			isOthers = TRUE;
			isShift = FALSE;
			m.enabled = FALSE;
			m.alpha = 0;
			[a setTitle:@"-" forState:UIControlStateNormal];
			[b setTitle:@"'" forState:UIControlStateNormal];
			[c setTitle:@"?" forState:UIControlStateNormal];
			[d setTitle:@":" forState:UIControlStateNormal];
			[e setTitle:@"3" forState:UIControlStateNormal];
			[f setTitle:@";" forState:UIControlStateNormal];
			[g setTitle:@"(" forState:UIControlStateNormal];
			[h setTitle:@")" forState:UIControlStateNormal];
			[i setTitle:@"8" forState:UIControlStateNormal];
			[j setTitle:@"$" forState:UIControlStateNormal];
			[k setTitle:@"&" forState:UIControlStateNormal];
			[l setTitle:@"@" forState:UIControlStateNormal];
			[m setTitle:@"'" forState:UIControlStateNormal];
			[n setTitle:@"\"" forState:UIControlStateNormal];
			[o setTitle:@"9" forState:UIControlStateNormal];
			[p setTitle:@"0" forState:UIControlStateNormal];
			[q setTitle:@"1" forState:UIControlStateNormal];
			[r setTitle:@"4" forState:UIControlStateNormal];
			[s setTitle:@"/" forState:UIControlStateNormal];
			[t setTitle:@"5" forState:UIControlStateNormal];
			[u setTitle:@"7" forState:UIControlStateNormal];
			[v setTitle:@"!" forState:UIControlStateNormal];
			[w setTitle:@"2" forState:UIControlStateNormal];
			[x setTitle:@"," forState:UIControlStateNormal];
			[y setTitle:@"6" forState:UIControlStateNormal];
			[z setTitle:@"." forState:UIControlStateNormal];
			[shift setTitle:@"#+=" forState:UIControlStateNormal];
			[other setTitle:@"ABC" forState:UIControlStateNormal];
		} else {
			isOthers = FALSE;
			isShift = FALSE;
			m.enabled = TRUE;
			m.alpha = 1;
			[a setTitle:@"a" forState:UIControlStateNormal];
			[b setTitle:@"b" forState:UIControlStateNormal];
			[c setTitle:@"c" forState:UIControlStateNormal];
			[d setTitle:@"d" forState:UIControlStateNormal];
			[e setTitle:@"e" forState:UIControlStateNormal];
			[f setTitle:@"f" forState:UIControlStateNormal];
			[g setTitle:@"g" forState:UIControlStateNormal];
			[h setTitle:@"h" forState:UIControlStateNormal];
			[i setTitle:@"i" forState:UIControlStateNormal];
			[j setTitle:@"j" forState:UIControlStateNormal];
			[k setTitle:@"k" forState:UIControlStateNormal];
			[l setTitle:@"l" forState:UIControlStateNormal];
			[m setTitle:@"m" forState:UIControlStateNormal];
			[n setTitle:@"n" forState:UIControlStateNormal];
			[o setTitle:@"o" forState:UIControlStateNormal];
			[p setTitle:@"p" forState:UIControlStateNormal];
			[q setTitle:@"q" forState:UIControlStateNormal];
			[r setTitle:@"r" forState:UIControlStateNormal];
			[s setTitle:@"s" forState:UIControlStateNormal];
			[t setTitle:@"t" forState:UIControlStateNormal];
			[u setTitle:@"u" forState:UIControlStateNormal];
			[v setTitle:@"v" forState:UIControlStateNormal];
			[w setTitle:@"w" forState:UIControlStateNormal];
			[x setTitle:@"x" forState:UIControlStateNormal];
			[y setTitle:@"y" forState:UIControlStateNormal];
			[z setTitle:@"z" forState:UIControlStateNormal];
			[shift setTitle:@"shf" forState:UIControlStateNormal];
			[other setTitle:@".?123" forState:UIControlStateNormal];
		}
	}
}


@end
